1. Verify Recipient
Junipay API
  • JuniPay API Documentation
  • Authentication
    • Get Token for Payment Form (Unique Token + Secret)
      GET
  • Collections
    • Initiate Collection Payment
      POST
  • Disbursements
    • Transfer Funds
      POST
  • Remittance
    • Send Remittance
      POST
  • Transaction Status
    • Check Transaction Status
      GET
  • Verify Recipient
    • Verify Recipient
      GET
  • Webhooks
    • Webhook/Callback
      POST
  1. Verify Recipient

Verify Recipient

GET
/resolve
Verify the details of a recipient account before creating or sending funds.

Request

Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/resolve?channel=mobile_money&phoneNumber=0244000000' \
--header 'Authorization: Bearer {{token}}' \
--header 'clientid: {{clientId}}' \
--header 'Content-Type: application/json' \
--data '{
    "accountNo": "string",
    "provider": "string"
}'
Response Response Example
200 - Success
{
  "status": "success",
  "accountName": "John Doe",
  "accountNo": "0240000000",
  "provider": "mtn"
}
Modified at 2026-04-08 15:21:53
Previous
Check Transaction Status
Next
Webhook/Callback
Built with